############################## \u0412\u041d\u0418\u041c\u0410\u041d\u0418\u0415 ##################################
## \u0412 \u043a\u0430\u0447\u0435\u0441\u0442\u0432\u0435 \u0441\u0438\u043c\u0432\u043e\u043b\u0430 \u043f\u0435\u0440\u0435\u0445\u043e\u0434\u0430 \u043d\u0430 \u043d\u043e\u0432\u0443\u044e \u0441\u0442\u0440\u043e\u043a\u0443 \u0438\u0441\u043f\u043e\u043b\u044c\u0437\u0443\u0435\u0442\u0441\u044f \r\n		##
## (\u0437\u0430\u0432\u044f\u0437\u0430\u043d\u043e \u043d\u0430 Windows Notepad), \u0442\u0430\u043a \u043a\u0430\u043a \u0432\u0441\u0435 \u0444\u0430\u0439\u043b\u044b \u0436\u0443\u0440\u043d\u0430\u043b\u043e\u0432			##
## \u043f\u0440\u043e\u0441\u043c\u0430\u0442\u0440\u0438\u0432\u0430\u044e\u0442\u0441\u044f \u043f\u043e\u0434 Windows, \u0430 UNIX \u0441\u0438\u0441\u0442\u0435\u043c\u044b \u0432\u0441\u0435 \u0440\u0430\u0432\u043d\u043e \u0431\u0443\u0434\u0443\u0442			##
## \u043f\u0440\u0430\u0432\u0438\u043b\u044c\u043d\u043e \u043e\u0442\u043e\u0431\u0440\u0430\u0436\u0430\u0442\u044c \u043f\u0435\u0440\u0435\u0445\u043e\u0434 \u043d\u0430 \u043d\u043e\u0432\u0443\u044e \u0441\u0442\u0440\u043e\u043a\u0443.						##
##########################################################################

##########################################################################
################################# ROOT ###################################
##########################################################################

log4j.rootLogger=INFO, root.Console, root.File

##########################################################################
############################### LOGGERS ##################################
##########################################################################

log4j.logger.PacketLogger=OFF, PacketLogger.File, PacketLogger.Console
log4j.additivity.PacketLogger=false

log4j.logger.org.mati.npc.services.ems=DEBUG, EMS.File, EMS.Console
log4j.additivity.org.mati.npc.services.ems=false

log4j.logger.Components=INFO, Components.Console, Components.File
log4j.additivity.Components=false

log4j.logger.FaceLogger=ALL, FaceLogger
log4j.additivity.FaceLogger=false

log4j.logger.Exceptions=ERROR, Exceptions.Console, Exceptions.File
log4j.additivity.Exceptions=false

log4j.logger.Profiler=OFF, Profiler.File, Profiler.Console
log4j.additivity.Profiler=false

log4j.logger.org.hibernate=WARN, Hibernate.File, Hibernate.Console
log4j.additivity.org.hibernate=false
log4j.logger.net.sf=WARN, Hibernate.File, Hibernate.Console
log4j.additivity.net.sf=false

##########################################################################
############################## APPENDERS #################################
##########################################################################

log4j.appender.root.Console=org.apache.log4j.ConsoleAppender
log4j.appender.root.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.root.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.root.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.root.File.file=log/console/console.log
log4j.appender.root.File.maxFileSize=10240KB
log4j.appender.root.File.maxBackupIndex=10
log4j.appender.root.File.receiveWithCSV=false
log4j.appender.root.File.layout=org.apache.log4j.PatternLayout
log4j.appender.root.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS}\t%m\r\n

log4j.appender.EMS.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.EMS.File.file=log/ems/ems.log
log4j.appender.EMS.File.maxFileSize=10240KB
log4j.appender.EMS.File.maxBackupIndex=10
log4j.appender.EMS.File.receiveWithCSV=false
log4j.appender.EMS.File.layout=org.apache.log4j.PatternLayout
log4j.appender.EMS.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS}\t%m\r\n

log4j.appender.EMS.Console=org.apache.log4j.ConsoleAppender
log4j.appender.EMS.Console.threshold=OFF
log4j.appender.EMS.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.EMS.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.PacketLogger.Console=org.apache.log4j.ConsoleAppender
log4j.appender.PacketLogger.Console.threshold=OFF
log4j.appender.PacketLogger.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.PacketLogger.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.PacketLogger.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.PacketLogger.File.file=log/ems/packet.log
log4j.appender.PacketLogger.File.maxFileSize=10240KB
log4j.appender.PacketLogger.File.maxBackupIndex=10
log4j.appender.PacketLogger.File.receiveWithCSV=false
log4j.appender.PacketLogger.File.layout=org.apache.log4j.PatternLayout
log4j.appender.PacketLogger.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS}\t%m\r\n

log4j.appender.Components.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.Components.File.File=log/Logger/logger.log
log4j.appender.Components.File.MaxFileSize=1KB
log4j.appender.Components.File.MaxBackupIndex=10
log4j.appender.Components.File.layout=org.mati.npc.core.loger.layout.MapLayout
log4j.appender.Components.File.layout.ConversionPattern=%k{LOGDATE}$%k{INSTANCENAME}$%k{COMPONENTNAME}$%k{TYPE}$%k{MESSAGE}$%k{DOMAIN}$%k{XML}\r\n
log4j.appender.Components.File.layout.PrintMapLayoutErrors=false

log4j.appender.Components.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Components.Console.layout=org.mati.npc.core.loger.layout.MapLayout
log4j.appender.Components.Console.layout.ConversionPattern=%k{LOGDATE} %k{COMPONENTNAME}: %k{MESSAGE}\r\n

log4j.appender.Profiler.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.Profiler.File.threshold=OFF
log4j.appender.Profiler.File.file=log/Profiler/profiler.log
log4j.appender.Profiler.File.encoding=utf-8
log4j.appender.Profiler.File.maxFileSize=1024KB
log4j.appender.Profiler.File.maxBackupIndex=10
log4j.appender.Profiler.File.receiveWithCSV=false
log4j.appender.Profiler.File.layout=org.apache.log4j.PatternLayout
log4j.appender.Profiler.File.layout.ConversionPattern=%m\r\n

log4j.appender.Profiler.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Profiler.Console.threshold=OFF
log4j.appender.Profiler.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.Profiler.Console.layout.ConversionPattern=%m\r\n

log4j.appender.FaceLogger=org.apache.log4j.RollingFileAppender
log4j.appender.FaceLogger.File=log/FaceLogger/logger.log
log4j.appender.FaceLogger.MaxFileSize=100KB
log4j.appender.FaceLogger.MaxBackupIndex=1000
log4j.appender.FaceLogger.layout=org.mati.npc.core.loger.layout.MapLayout
log4j.appender.FaceLogger.layout.ConversionPattern=!LOG $type:%p~ $date:%d{dd.MM.yyyy HH:mm:ss.SSS}~ $invoker:%k{COMPONENTNAME}~ $message:%k{MESSAGE}~\r\n
log4j.appender.FaceLogger.layout.PrintMapLayoutErrors=false

log4j.appender.Exceptions.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.Exceptions.File.file=log/errors/errors.log
log4j.appender.Exceptions.File.maxFileSize=10240KB
log4j.appender.Exceptions.File.maxBackupIndex=10
log4j.appender.Exceptions.File.receiveWithCSV=false
log4j.appender.Exceptions.File.layout=org.apache.log4j.PatternLayout
log4j.appender.Exceptions.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS}\t%m\r\n

log4j.appender.Exceptions.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Exceptions.Console.threshold=OFF
log4j.appender.Exceptions.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.Exceptions.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.Hibernate.File=org.mati.npc.core.loger.appender.NPCRollingFileAppender
log4j.appender.Hibernate.File.file=log/db/hibernate.log
log4j.appender.Hibernate.File.maxFileSize=10240KB
log4j.appender.Hibernate.File.maxBackupIndex=10
log4j.appender.Hibernate.File.receiveWithCSV=false
log4j.appender.Hibernate.File.layout=org.apache.log4j.PatternLayout
log4j.appender.Hibernate.File.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS}\t%m\r\n

log4j.appender.Hibernate.Console=org.apache.log4j.ConsoleAppender
log4j.appender.Hibernate.Console.threshold=OFF
log4j.appender.Hibernate.Console.layout=org.apache.log4j.PatternLayout
log4j.appender.Hibernate.Console.layout.ConversionPattern=%d{dd.MM.yyyy HH:mm:ss.SSS} %m\r\n

log4j.appender.null=org.apache.log4j.varia.NullAppender

